SPI_BUS_UNLOCK(9)

NAME
spi_bus_unlock - release the lock for exclusive SPI bus usage

SYNOPSIS

int spi_bus_unlock(struct spi_master * master);

ARGUMENTS

master
    SPI bus master that was locked for exclusive bus access

CONTEXT

can sleep

DESCRIPTION

This call may only be used from a context that may sleep. The sleep is non-interruptible, and has no timeout.

This call releases an SPI bus lock previously obtained by an spi_bus_lock call.

It returns zero on success, else a negative error code.

COPYRIGHT